<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.301
Name: Invitation ID
Description: Template: Uitnodigingsronde ID
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000">
   <title>Invitation ID</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]
Item: (Invitationid)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]"
         id="d42e7925-false-d157778e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@classCode) = ('ENC')">(Invitationid): de waarde van classCode MOET 'ENC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@moodCode) = ('RQO')">(Invitationid): de waarde van moodCode MOET 'RQO' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']) &gt;= 1">(Invitationid): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']) &lt;= 1">(Invitationid): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:id) &lt;= 1">(Invitationid): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Invitationid): element hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Invitationid): element hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:text) &lt;= 1">(Invitationid): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']"
         id="d42e7931-false-d157825e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.301')">(Invitationid): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.301' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:id
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:id"
         id="d42e7936-false-d157839e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:code[(@code = '275978004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e7942-false-d157850e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or (@code='275978004' and @codeSystem='2.16.840.1.113883.6.96')">(Invitationid): de elementwaarde MOET een zijn van 'code '275978004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:text
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:text"
         id="d42e7948-false-d157866e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Invitationid): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Invitationid): element hl7:reference[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Invitationid)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.301']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e7950-false-d157885e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20220613T165213/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
